Package org.codehaus.groovy.runtime.dgmimpl.arrays

# Class ArrayGetAtMetaMethod

java.lang.Object
org.codehaus.groovy.reflection.ParameterTypes
groovy.lang.MetaMethod
org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod
org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayGetAtMetaMethod

All Implemented Interfaces:
  `MetaMember`, `Cloneable`

Direct Known Subclasses:
  `BooleanArrayGetAtMetaMethod`, `ByteArrayGetAtMetaMethod`, `CharacterArrayGetAtMetaMethod`, `DoubleArrayGetAtMetaMethod`, `FloatArrayGetAtMetaMethod`, `IntegerArrayGetAtMetaMethod`, `LongArrayGetAtMetaMethod`, `ObjectArrayGetAtMetaMethod`, `ShortArrayGetAtMetaMethod`

public abstract class ArrayGetAtMetaMethod extends ArrayMetaMethod

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod

  `INTEGER_CLASS, INTEGER_CLASS_ARR`

  ### Fields inherited from class groovy.lang.MetaMethod

  `EMPTY_ARRAY`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ArrayGetAtMetaMethod()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the name of this method.

  ### Methods inherited from class org.codehaus.groovy.runtime.dgmimpl.arrays.ArrayMetaMethod

  `getModifiers, normaliseIndex`

  ### Methods inherited from class org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod

  `createPojoCallSite`

  ### Methods inherited from class groovy.lang.MetaMethod

  `checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getMopName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isDefault, isMethod, isSame, processDoMethodInvokeException, toString`

  ### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

  `coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.MetaMember

  `isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, isSynthetic`

- ## Constructor Details

  - ### ArrayGetAtMetaMethod

    protected ArrayGetAtMetaMethod()

- ## Method Details

  - ### getName

    public String getName()
    Description copied from class: `MetaMethod`
    Returns the name of this method.
    Specified by:
      `getName` in interface `MetaMember`
    Specified by:
      `getName` in class `MetaMethod`
    Returns:
      name of this method